SystemOrganization addCategory: #ConfigurationOfReunidosTADP!

Object subclass: #ConfigurationOfReunidosTADP
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfReunidosTADP'!

!ConfigurationOfReunidosTADP class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 5/3/2012 22:34'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfReunidosTADP class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 5/3/2012 22:35'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."
	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion.
		]! !

!ConfigurationOfReunidosTADP class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 5/3/2012 22:35'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfReunidosTADP class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 5/3/2012 22:37'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfReunidosTADP class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 5/3/2012 22:37'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfReunidosTADP class methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 5/3/2012 22:37'!
project

	^self new project! !

!ConfigurationOfReunidosTADP methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/20/2012 13:42'!
baseline10: spec
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/reunidosTADP'.
		spec 
			package: 'reunidosTADP';
			package: 'reunidosTADP-Tests' with: [ spec requires: 'reunidosTADP' ].
		spec
			package: 'Rango';
			package:'Rango-Tests' with: [spec requires: 'Rango'].
			
		spec
			group: 'default' with: #('Rango' 'reunidosTADP')
			]
	! !

!ConfigurationOfReunidosTADP methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/20/2012 13:39'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfReunidosTADP methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/20/2012 13:41'!
stable: spec
<symbolicVersion: #stable>

spec for: #common version: '1.0' ! !

!ConfigurationOfReunidosTADP methodsFor: 'as yet unclassified' stamp: 'ClaraAllende 4/21/2012 09:55'!
version10: spec
<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'reunidosTADP' with: 'reunidosTADP-ClaraAllende.20';
			package: 'Rango' with: 'Rango-Paul19'. 
	]! !
